summaryrefslogtreecommitdiff
path: root/vendor
diff options
context:
space:
mode:
authorDavid Kalnischkies <kalnischkies@gmail.com>2013-11-30 22:07:38 +0100
committerDavid Kalnischkies <kalnischkies@gmail.com>2013-11-30 23:34:15 +0100
commit0005fa07886135d6adfec59f2d722df229b7af12 (patch)
treebb04eff93bf09d62bf910f825ee0071aaaf5d8c4 /vendor
parent694ef56e802bbab94595fc491fdc6ef8b4f525c1 (diff)
use a substvar to set the archive-keyring in debian/control
Adds a small helper to extract the small information bits we store in apt-vendor.ent and uses it in debian/rules to set apt:keyring as a substvar for debian/control populated with the &keyring-package; info
Diffstat (limited to 'vendor')
-rw-r--r--vendor/debian/makefile2
-rwxr-xr-xvendor/getinfo36
-rw-r--r--vendor/ubuntu/makefile2
3 files changed, 38 insertions, 2 deletions
diff --git a/vendor/debian/makefile b/vendor/debian/makefile
index 41202c6a0..dd35a70f0 100644
--- a/vendor/debian/makefile
+++ b/vendor/debian/makefile
@@ -8,4 +8,4 @@ include ../../buildlib/defaults.mak
doc: sources.list
sources.list: sources.list.in ../../doc/apt-verbatim.ent
- sed -e 's#&stable-codename;#$(shell grep --max-count=1 '^<!ENTITY stable-codename "' ../../doc/apt-verbatim.ent | cut -d'"' -f 2)#g' $^ > $@
+ sed -e 's#&stable-codename;#$(shell ../getinfo debian-stable-codename)#g' $< > $@
diff --git a/vendor/getinfo b/vendor/getinfo
new file mode 100755
index 000000000..df5a44e5c
--- /dev/null
+++ b/vendor/getinfo
@@ -0,0 +1,36 @@
+#!/bin/sh
+# small helper to extract information form *.ent files
+
+BASEDIR="$(readlink -f "$(dirname $0)")"
+INFO="$(readlink -f "${BASEDIR}/current/apt-vendor.ent")"
+
+if [ -z "$INFO" ] || [ ! -e "$INFO" ]; then
+ echo >&2 'The current vendor is not valid or not chosen by the buildsystem yet.'
+ exit 1
+fi
+
+getrawfield() {
+ grep --max-count=1 "^<!ENTITY $1 \"" "${2:-$INFO}" | cut -d'"' -f 2
+}
+
+getfield() {
+ local FIELD="$(getrawfield "$@")"
+ FIELD="${FIELD#*>}"
+ echo "${FIELD%<*}"
+}
+
+case "$1" in
+debian-stable-codename)
+ getrawfield 'stable-codename' "${BASEDIR}/../doc/apt-verbatim.ent"
+ ;;
+ubuntu-codename)
+ getrawfield 'stable-codename' "${BASEDIR}/../doc/apt-verbatim.ent"
+ ;;
+keyring-package)
+ getfield "$1"
+ ;;
+*)
+ echo >&2 "Unknown data field $1 requested"
+ exit 2
+ ;;
+esac
diff --git a/vendor/ubuntu/makefile b/vendor/ubuntu/makefile
index 388a529a9..ea67e6e63 100644
--- a/vendor/ubuntu/makefile
+++ b/vendor/ubuntu/makefile
@@ -8,4 +8,4 @@ include ../../buildlib/defaults.mak
doc: sources.list
sources.list: sources.list.in ../../doc/apt-verbatim.ent
- sed -e 's#&ubuntu-codename;#$(shell grep --max-count=1 '^<!ENTITY ubuntu-codename "' ../../doc/apt-verbatim.ent | cut -d'"' -f 2)#g' $^ > $@
+ sed -e 's#&ubuntu-codename;#$(shell ../getinfo ubuntu-codename)#g' $< > $@